%define		_state		stable
%define		orgname		kblackbox
%define		qtver		4.8.0

Summary:	A little logical game for KDE
Summary(pl.UTF-8):	Prosta gra logiczna
Summary(pt_BR.UTF-8):	Versão do jogo Blackbox do Emacs para KDE
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	fa1da37fb92404a8231e83f9039b2176
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdegames-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-kdegames-%{orgname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KBlackbox is a game of hide and seek played on an grid of boxes. Your
opponent (the Random number generator, in this case) has hidden
several balls within this box. By shooting rays into the box and
observing where they emerge it is possible to deduce the positions of
the hidden balls. The fewer rays you use to find the balls, the better
(the lower) your score.

%description -l pl.UTF-8
KBlackbox to gra w ukrywanie i szukanie rozgrywana na siatce pudełek.
Przeciwnik (w tym wypadku generator liczb losowych) ukrył kilka piłek
w tym pudełku. Poprzez strzelanie promieniami w pudełko i obserwowanie
jak się wynurzają można wydedukować położenie ukrytych piłek. Im mniej
promieni użyje się do znalezienia piłek, tym lepszy (mniejszy) jest
wynik.

%description -l pt_BR.UTF-8
Versão do jogo Blackbox do Emacs para KDE.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/var/games
# remove locolor icons
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{orgname}	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post			-p /sbin/ldconfig
%postun			-p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kblackbox
%{_desktopdir}/kde4/kblackbox.desktop
%{_datadir}/apps/kblackbox
%{_iconsdir}/*/*/apps/kblackbox.png
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kblackbox.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 7a398aa
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 9be45f9
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 41f269f
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7901b7b
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a612fe7
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 25ec4b1
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b937351
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 42f9bb6
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b74ec66
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3f08ecb
- updated to 4.12.1 (by update-kde4.sh)

* Wed Dec 25 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 3ab9a6d
- used macro orgname

* Tue Dec 24 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 72e4b28
- touch was wrong

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 223f622
- new, based on kde4-kdegames

